/2025-10/marketing-solutions/product-sets
curl --request POST \
--url https://api.criteo.com/2025-10/marketing-solutions/product-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "CreateProductSetRequest",
"attributes": {
"datasetId": "0",
"name": "My Product Set",
"isDraft": true,
"rules": [
{
"operator": "IsIn",
"field": "Brand",
"values": [
"MyBrand"
]
}
]
}
}
}
'import requests
url = "https://api.criteo.com/2025-10/marketing-solutions/product-sets"
payload = { "data": {
"type": "CreateProductSetRequest",
"attributes": {
"datasetId": "0",
"name": "My Product Set",
"isDraft": True,
"rules": [
{
"operator": "IsIn",
"field": "Brand",
"values": ["MyBrand"]
}
]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
type: 'CreateProductSetRequest',
attributes: {
datasetId: '0',
name: 'My Product Set',
isDraft: true,
rules: [{operator: 'IsIn', field: 'Brand', values: ['MyBrand']}]
}
}
})
};
fetch('https://api.criteo.com/2025-10/marketing-solutions/product-sets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"creationDate": "<string>",
"datasetId": "<string>",
"keepVariantProducts": true,
"minimumNumberOfProducts": 123,
"name": "<string>",
"numberOfProducts": 123,
"rules": [
{
"values": [
"<string>"
]
}
],
"id": "<string>",
"isFallbackAllowed": true
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-10/marketing-solutions/product-sets
Create a new product set
POST
/
2025-10
/
marketing-solutions
/
product-sets
/2025-10/marketing-solutions/product-sets
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Represents an API request message containing the usual valueResource data field, i.e. data is not an entity (no id). This can be used for association objects.
A class that represents a ValueType in a guild compliant way
Show child attributes
Show child attributes
Response
200 - application/json
Product set created successfully
A class implementing the response of the Criteo API as described in API Guild Guidelines with a single entity as body
Was this page helpful?
/2025-10/marketing-solutions/ads/{ad-id}/product-filter
Previous
/2025-10/marketing-solutions/product-sets/{product-set-id}
Next
⌘I